#  Import- und Export von BASt-Band Daten


## Übersicht

SWE stellt Funktionen zum Import von BASt-Daten (Übernahme von einem FTPServer) in das 
Datenverteilersystem sowie Funktionen zum Export von BASt-Daten 
(Erstellung von BASt-Daten aus den Werten der Langzeitzählstellen im Archiv des Datenverteilers) auf 
einen FTP-Server zur Verfügung.

Folgende Formate der BASt werden unterstützt:
- Import
  - Verkehr Menge 2004
  - Verkehr Geschwindigkeit V2007
  
- Export
  - Verkehr Menge 2004
  - Verkehr Geschwindigkeit V2007
  - Achlastdaten V2009


Die Steuerung, welche Daten importiert/exportiert werden (Zahlstellen, Zeitraum, Format) erfolgt
über eine spezifische Attributgruppe im Datenverteiler.

Die Steuerung erfolgt entweder manuell über ein Plug-in der Bedienung oder automatisch
- für den Import über die SWE FTP-Verzeichnisüberwachung (`de.inovat.kex.ftp`)
- für den Export über die SWE AutoExportBAST (`de.inovat.vew.autoexport`)

 
## Bemerkung

Diese SWE im Zusammenspiel mit den SWE für die  FTP-Verzeichnisüberwachung (`de.inovat.kex.ftp`)
und die SWE AutoExportBAST (`de.inovat.vew.autoexport`) ersetzen die (bereits seit mehreren Jahren
nicht mehr weiterentwicklete) SWE `de.bsvrz.dua.bastband`.


## Disclaimer

Copyright (C) 2007-2018 inovat - Dipl.-Ing. H. C. Kniß

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Dieses Programm ist Freie Software: Sie können es unter den Bedingungen
der GNU General Public License, wie von der Free Software Foundation,
Version 3 der Lizenz oder (nach Ihrer Wahl) jeder neueren
veröffentlichten Version, weiterverbreiten und/oder modifizieren.

Dieses Programm wird in der Hoffnung, dass es nützlich sein wird, aber
OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite
Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
Siehe die GNU General Public License für weitere Details.

Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.

## Kontakt
                                                                             
inovat, Dipl.-Ing. H. C. Kniß                                                                     
An der Krautwiese 37                                                                                     
D-53783 Eitorf                                                                                       
+49 (0)2243 8464 193                                                                                 
info@inovat.de                                                                                        
www.inovat.de
